0

My apt will not run any command, e.g. sudo apt-get ____. The error message I am getting is-

relocation error: /usr/lib/x86_64-linux-gnu/libapt-private.so.0.0: symbol _ZN13pkgSourceList16AddVolatileFilesER11CommandLinePSt6vectorINSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEESaIS8_EE version APTKG_5.0 not defined in file libapt-pkg.so.5.0 with link time reference

Info- Im running Ubuntu 18.04 bionic. "dpkg -l apt libapt-pkg5.0" shows the following-- "Apt running on- 1.4.6~17.04.1" "libapt=pkg5.0:amd64 running on- 1.2.29"

"md5sum /usr/lib/x86_64-linux-gnu/libapt-pkg.so.5.0 /usr/lib/x86_64-linux-gnu/libapt-private.so.0.0" Shows- "868c9bb9cd23bacc2f76182902eb489d /usr/lib/x86_64-linux-gnu/libapt-pkg.so.5.0" "12e8c8000ae4f61d6ec50ca9218b428d /usr/lib/x86_64-linux-gnu/libapt-private.so.0.0 "

I only have access to recovery mode and Cntrl+Alt+F1.

  • Please note- I have no knowledge on a Linux system and I am fresh from windows and mac. Can you please post commands to fix this in your answer thank you! – Anonymous__15 274 Feb 10 at 5:24
  • Reinstall it, the setup is corrupted. – Rui F Ribeiro Feb 10 at 8:49
  • I am really new to ubuntu would you be able to tell me how to reinstall and maybe keep my personal files? – Anonymous__15 274 Feb 10 at 8:56
  • Thank you very much for your help, I understand what you're saying and hope you have a good day/night! – Anonymous__15 274 Feb 10 at 9:10

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.